image: node:10.5.0

variables:
  APP_NAME: "PBK"

stages:
  - install
  - build
  - deploy

         
      
install_dependencies:
  stage: install
  image: node:12-alpine
  tags:
    - docker
  script:
    - yarn install
    - npm install
    - cd functions && npm install
    - npm install -g @quasar/cli
  cache:
    key:
      files:
        - yarn.lock
    paths:
      - node_modules
  only:
      - master

build:
  stage: build
  image: node:12-alpine
  tags:
    - docker
  script:
    - npm install -g @quasar/cli
    - quasar clean
    - quasar build 
  only:
    - master
  artifacts:
    name: "pbk"
    paths:
      - dist/pbk
  cache:
    key:
      files:
        - yarn.lock
    paths:
      - node_modules
    policy: pull

